#!/bin/bash

set -e

LOGFILE="/var/log/coremedia/import_users.log"

. /etc/profile

if [ -d {{ deployment_tmp_directory }}/test-data/users ]
then

  echo "" > "${LOGFILE}"

  for u in {{ deployment_tmp_directory }}/test-data/users/*.xml
  do
    {{ cms_tools_dir }}/bin/cm restoreusers \
      --user admin \
      --password admin \
      --file ${u} >> "${LOGFILE}"
  done

  touch /etc/coremedia/users-imported

fi
